gnutls_openpgp_trustdb_import_file(3)

NAME
gnutls_openpgp_trustdb_import_file

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_trustdb_import_file(gnutls_openpgp_trustdb_t trustdb, const char * file);

ARGUMENTS

gnutls_openpgp_trustdb_t trustdb
    The structure to store the parsed key.

const char * file
    The file that holds the trustdb.

DESCRIPTION
This function will convert the given RAW or Base64 encoded trustdb to the native gnutls_openpgp_trustdb_t format. The output will be stored in 'trustdb'. Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.